Skip to main content
PUT
Update a workspace

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

id
string<uuid>
required

Workspace ID

Body

application/json
name
string
required

Workspace name

Maximum string length: 255

Response

Workspace updated successfully

id
string<uuid>

Unique identifier for the workspace

name
string

Workspace name

Maximum string length: 255
protected
boolean

Protected workspaces cannot be deleted

api_key
string | null

Unique API key for this workspace. Used for authenticating API requests scoped to this workspace.

created_date
string<date-time>

Workspace creation timestamp

updated_date
string<date-time>

Workspace last update timestamp